Bug 1648290 - libmspack is missing on ppc64 and s390x
Summary: libmspack is missing on ppc64 and s390x
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: libmspack
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact: ldu
URL:
Whiteboard:
Depends On:
Blocks: 1648834
TreeView+ depends on / blocked
 
Reported: 2018-11-09 10:33 UTC by Germano Massullo
Modified: 2019-06-01 00:31 UTC (History)
8 users (show)

Fixed In Version: libmspack-0.5-0.0.6.alpha.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-01 00:31:36 UTC
Type: Bug


Attachments (Terms of Use)

Description Germano Massullo 2018-11-09 10:33:53 UTC
Good day, during boinc-client build on EPEL7 [1], only ppc64 failed, due error [2]

Error: Package: wxGTK3-3.0.2-15.el7.ppc64 (build)
           Requires: libmspack.so.0()(64bit)

so it looks like the ppc64 version of the package is missing


[1]: https://koji.fedoraproject.org/koji/taskinfo?taskID=30751455
[2]: https://kojipkgs.fedoraproject.org//work/tasks/1471/30751471/mock_output.log

Comment 2 Richard W.M. Jones 2018-11-09 10:49:44 UTC
We do in fact build it on all architectures, see bug 1422266.
I also checked the latest RHEL build and it was built on ppc64.
So maybe either CentOS is not rebuilding for ppc64, or if you're
using RHEL 7 then perhaps we're not shipping the ppc64 package
for some reason.

Comment 3 Germano Massullo 2018-11-09 11:01:37 UTC
Hi, actually I am not using RHEL or CentOS, I only reported the problem of Koji build.
I remembered that Koji EPEL7 was based on CentOS 7, but 30 minutes ago I have been told on Freenode #epel that is based on RHEL.

Before opening this bugreport I have also tried to fill a bugreport on CentOS bugreport infrastructure, but I could not find the libmspack component on the website

Comment 4 Richard W.M. Jones 2018-11-09 12:47:02 UTC
I checked the released RHEL 7.6 Server channels.  libmspack is
present in these channels:

Server (supported):
libmspack-0.5-0.6.alpha.el7.i686.rpm
libmspack-0.5-0.6.alpha.el7.x86_64.rpm

Server-optional (not supported):
libmspack-devel-0.5-0.6.alpha.el7.i686.rpm
libmspack-devel-0.5-0.6.alpha.el7.x86_64.rpm
libmspack-0.5-0.6.alpha.el7.ppc64le.rpm

NOT present:
ppc64
s390x

Comment 5 Orion Poplawski 2018-12-02 23:56:41 UTC
So, we need to unretire the epel7 branch of libmspack and resurrect it as a limited arch package.  Germano - can you reassign this to Fedora EPEL?

Comment 7 Richard W.M. Jones 2018-12-10 08:52:19 UTC
Reassigning this to EPEL.  It's not something we're going to fix in RHEL 7,
although the good news is that in RHEL 8 we'll have all architectures equally
supported for everything, or at least that is the aim.

Comment 8 Orion Poplawski 2019-03-01 23:42:02 UTC
I still don't know why I can't push to the repo - https://pagure.io/releng/issue/7997

Comment 9 Fedora Update System 2019-03-12 18:06:49 UTC
libmspack-0.5-0.0.6.alpha.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-c1198c9800

Comment 10 Fedora Update System 2019-03-12 22:42:55 UTC
libmspack-0.5-0.0.6.alpha.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-c1198c9800

Comment 11 Germano Massullo 2019-04-16 08:28:51 UTC
Could you please push it to stable? Thank you

Comment 12 Dan Horák 2019-04-16 08:34:21 UTC
There is a ticket about the push - https://pagure.io/releng/issue/8245 - it's blocked due some bodhi issue.

Comment 13 Fedora Update System 2019-06-01 00:31:36 UTC
libmspack-0.5-0.0.6.alpha.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.